Draft Wire

From FreeCAD Documentation
(Redirected from Draft FinishLine)

Draft Wire

Menu location
Drafting → Polyline
Workbenches
Draft, Arch
Default shortcut
P L
Introduced in version
0.7
See also
Draft Line, Draft BSpline

Description

The Draft Wire command creates a polyline, a sequence of several connected line segments. The command can also be used to join Draft Lines and Draft Wires.

The corners of a Draft Wire can be filleted (rounded) or chamfered by changing its DataFillet Radius or DataChamfer Size respectively. It is also possible to subdivide the edges of a Draft Wire by changing its DataSubdivisions property.

Wire defined by multiple points

Create

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. There are several ways to invoke the command:
    • Press the Polyline button.
    • Select the Drafting → Polyline option from the menu.
    • Use the keyboard shortcut: P then L.
  2. The Polyline task panel opens. See Options for more information.
  3. Pick the first point in the 3D view, or type coordinates and press the Enter point button.
  4. Pick additional points in the 3D view, or type coordinates and press the Enter point button.
  5. Press Esc or the Close button to finish the command.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts (for version 0.22).

  • To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • Press R or click the Relative checkbox to toggle relative mode. If relative mode is on, coordinates are relative to the last point, if available, else they are relative to the coordinate system origin.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press F or click the Filled checkbox to toggle filled mode. If filled mode is on, the created wire will have DataMake Face set to true and will have a filled face, provided it is closed and does not self-intersect. Note that a self-intersecting wire with a face will not display properly, for such a wire DataMake Face must be set to false.
  • Press N or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after using Finish or Close, or after creating a closed wire by snapping to the first point of the wire, allowing you to continue creating wires.
  • Press / or the Undo button to undo the last point.
  • Press A or the Finish button to finish the command and leave the wire open.
  • Press O or the Close button to finish the command and close the wire. A closed wire can also be created by snapping to the first point of the wire.
  • Press W or the Wipe button to delete the segments already placed, but keep working from the last point.
  • Press U or the Set WP button to adjust the current working plane in the orientation of the last segment.
  • Press S to switch Draft snapping on or off.
  • Press Esc or the Close button to finish the command.

Join

Usage

  1. The end points of the Draft Lines and/or Draft Wires to be joined must be exactly coincident. If required first adjust points to ensure that this is the case.
  2. Select two or more Draft Lines and/or Draft Wires.
  3. There are several ways to invoke the command:
    • Press the Draft Wire button.
    • Select the Drafting → Polyline option from the menu.
    • Use the keyboard shortcut: P then L.

Notes

Properties

See also: Property editor.

A Draft Wire object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

  • DataArea (Area): (read-only) specifies the area of the face of the wire. The value will be 0.0 if DataMake Face is false or the face cannot be created.
  • DataBase (Link)
  • DataChamfer Size (Length): specifies the length of the chamfers at the corners of the wire.
  • DataClosed (Bool): specifies if the wire is closed or not. If the wire is initially open this value is false, setting it to true will draw a line segment to close the wire. If the wire is initially closed this value is true, setting it to false will remove the last line segment and make the wire open.
  • DataEnd (VectorDistance): specifies the end point of the wire.
  • DataFillet Radius (Length): specifies the radius of the fillets at the corners of the wire.
  • DataLength (Length): (read-only) specifies the total length of the wire.
  • DataMake Face (Bool): specifies if the wire makes a face or not. If it is true a face is created, otherwise only the edges are considered part of the object. This property only works if DataClosed is true and if the wire does not self-intersect.
  • DataPoints (VectorList): specifies the points of the wire in its local coordinate system.
  • DataStart (VectorDistance): specifies the start point of the wire.
  • DataSubdivisions (Integer): specifies the number of subdivisions for each edge of the wire. If it is 1 each edge will be divided into 2 equal segments. Subdivisions are applied before chamfers and fillets.
  • DataTool (Link)

View

Draft

  • ViewArrow Size (Length): specifies the size of the symbol displayed at the end of the wire.
  • ViewArrow Type (Enumeration): specifies the type of symbol displayed at the end of the wire, which can be Dot, Circle, Arrow, Tick or Tick-2.
  • ViewEnd Arrow (Bool): specifies whether to show a symbol at the end of the wire, so it can be used as an annotation line.
  • ViewPattern (Enumeration): specifies the Draft Pattern with which to fill the face of the closed wire. This property only works if DataMake Face is true and if ViewDisplay Mode is Flat Lines.
  • ViewPattern Size (Float): specifies the size of the Draft Pattern.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Wire use the make_wire method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeWire method.

wire = make_wire(pointslist, closed=False, placement=None, face=None, support=None)
wire = make_wire(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Creates a Wire object with the given list of points, pointslist.
    • Each point in the list is defined by its FreeCAD.Vector, with units in millimeters.
    • Alternatively, the input can be a Part.Wire, from which points are extracted.
  • If closed is True, or if the first and last points are identical, the wire is closed.
  • If placement is None the shape is created at the origin.
  • If face is True, and the wire is closed, the wire will make a face, that is, it will appear filled.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

wire1 = Draft.make_wire([p1, p2, p3], closed=True)
wire2 = Draft.make_wire([p1, 2*p3, 1.3*p2], closed=True)
wire3 = Draft.make_wire([1.3*p3, p1, -1.7*p2], closed=True)

doc.recompute()